napari 0.4.17-foss-2022a

Unsupported: Use of this version of napari is not supported. More information on our Applications Support and Retention Policy.

napari is a fast, interactive, multi-dimensional image viewer for Python. It's designed for browsing, annotating, and analyzing large multi-dimensional images. It's built on top of Qt (for the GUI), vispy (for performant GPU-based rendering), and the scientific Python stack (numpy, scipy).

Accessing napari 0.4.17-foss-2022a

To load the module for napari 0.4.17-foss-2022a please use this command on the BEAR systems (BlueBEAR, BEAR Cloud VMs, and CaStLeS VMs):

module load bear-apps-unsupported/handbuilt/2019
module load napari/0.4.17-foss-2022a

BEAR Apps Version

2019h

Extensions

  • app_model 0.1.4
  • build 0.10.0
  • cachey 0.2.1
  • commonmark 0.9.1
  • docstring_parser 0.15
  • freetype_py 2.4.0
  • hsluv 5.0.3
  • in_n_out 0.1.7
  • magicgui 0.7.2
  • mypy_extensions 1.0.0
  • napari 0.4.17
  • napari-console-0.0.8
  • napari-plugin-engine-0.2.0
  • napari-svg-0.1.8
  • npe2 0.7.0
  • numpydoc 1.5.0
  • Pint 0.22
  • psygnal 0.9.1
  • pydantic 1.10.8
  • pyproject_hooks 1.0.0
  • pytomlpp 1.0.13
  • rich 12.5.1
  • superqt 0.4.1
  • typer 0.9.0
  • vispy 0.11.0
  • wrapt 1.14.1

More Information

For more information visit the napari website.

Dependencies

This version of napari has a direct dependency on: dask/2022.12.0-foss-2022a foss/2022a imageio/2.22.2-foss-2022a IPython/8.5.0-GCCcore-11.3.0 matplotlib/3.5.2-foss-2022a PyOpenGL/3.1.6-GCCcore-11.3.0 PyQt5/5.15.5-GCCcore-11.3.0 Python/3.10.4-GCCcore-11.3.0 PyYAML/6.0-GCCcore-11.3.0 Qtconsole/5.4.0-GCCcore-11.3.0 scikit-image/0.19.3-foss-2022a SciPy-bundle/2022.05-foss-2022a tqdm/4.64.0-GCCcore-11.3.0

Required By

This version of napari is a direct dependent of: steinbock/0.16.1-foss-2022a

Last modified on 6th June 2023